import React from 'react';
import CardSalePage from '../components/CardSalePage';

export default {
  title: 'page-ui/CardSalePage',
  component: CardSalePage,
};

const Template = (args) => <CardSalePage  {...args} />;
const mockImageSet = {
  targetType: "newTab",
  image: "https://thumb.izcene.com/oll/0x0/format:webp/photo:image/1cfab49c-c93b-44b2-acbd-5c5c861bfea4.jpg",
  domainName: "https://pages.mcneto.com/mcneto/home",
  title: "New collection ของ Ms Poony ครีมทาหน้า สำหรับผู้หญิง จัดโปรเต็ม ลดสุดๆถึงสิ้นปีนี้เท่า",
  description: "พลาดไม่ได้กับ เสื้อมินิมอลที่สวยที่สุดในนาทีนี้! อย่าช้า รีบคลิกเลย",
}

export const CardSalePageDefault = Template.bind({});
CardSalePageDefault.args = mockImageSet

