import { ImageWidget } from '../components';
import React from 'react';

export default {
  title: 'page-ui/ImageWidget',
  component: ImageWidget,
};

const Template = (args) => <ImageWidget  {...args} />;


export const ImageWidgetDefault = Template.bind({});
ImageWidgetDefault.args = {
  link: '#',
  src: 'https://picsum.photos/0/0',
  alt: 'ImageWidget',
  objectFit: 'contain',
  marginBottom: 0,
}

export const ImageWidgetCanLink = Template.bind({});
ImageWidgetCanLink.args = {
  link: 'https://picsum.photos/0/0',
  src: 'https://picsum.photos/0/0',
  alt: 'ImageWidget',
  objectFit: 'contain',
  marginBottom: 0,
}

export const ImageWidgetCustom = Template.bind({});
ImageWidgetCustom.args = {
  link: '#',
  src: 'https://picsum.photos/0/0',
  alt: 'ImageWidget',
  objectFit: 'contain',
  height: '300px',
  width: '300px',
  marginBottom: 0,
}

export const ImageWidgetCustomCanLink = Template.bind({});
ImageWidgetCustomCanLink.args = {
  link: 'https://picsum.photos/0/0',
  src: 'https://picsum.photos/0/0',
  alt: 'ImageWidget',
  objectFit: 'contain',
  height: '300px',
  width: '300px',
  marginBottom: 0,
}


export const ImageWidgetCanLinkNewTab = Template.bind({});
ImageWidgetCanLinkNewTab.args = {
  link: 'https://picsum.photos/0/0',
  src: 'https://picsum.photos/0/0',
  targetType: 'newTab',
  alt: 'ImageWidget',
  objectFit: 'contain',
  marginBottom: 0,
}


export const ImageWidgetMarginBottom = Template.bind({});
ImageWidgetMarginBottom.args = {
  link: '#',
  src: 'https://picsum.photos/0/0',
  alt: 'ImageWidget',
  objectFit: 'contain',
  marginBottom: 0,
}

export const ImageWidgetMarginLeft = Template.bind({});
ImageWidgetMarginLeft.args = {
  link: '#',
  src: 'https://picsum.photos/0/0',
  alt: 'ImageWidget',
  objectFit: 'contain',
  marginLeft: 0,
}

export const ImageWidgetMarginRight = Template.bind({});
ImageWidgetMarginRight.args = {
  link: '#',
  src: 'https://picsum.photos/0/0',
  alt: 'ImageWidget',
  objectFit: 'contain',
  marginRight: 0,
}
