import { Label } from '../components';
import { mockPropsProduct } from '../../__MOCK__/mockPropsProduct';
import React from 'react';
import tw from 'twin.macro';

export default {
  title: 'page-ui/Label',
  component: Label,
};

const Template = (args) => <Label  {...args} />;

export const LabelDefault = Template.bind({});
LabelDefault.args = {
  text: mockPropsProduct.name,
}

export const LabelDefaultCustom = Template.bind({});
LabelDefaultCustom.args = {
  text: mockPropsProduct.name,
  font: `"Kanit", sans-serif`,
  fontSize: 16,
  fontWeight: 500,
  textAlign: 'start',
  color: '#95BAA8',
  bgColor: null,
  textDecoration: 'none',
  textAlign: 'start',
  twColor: tw``,
  twProps: tw``,
}