import TrackingOrder from '../components/TrackingOrder';
import React from 'react';

export default {
  title: 'page-ui/TrackingOrder',
  component: TrackingOrder,
};

const Template = (args) => <TrackingOrder  {...args} />;

export const TrackingOrderCanClick = Template.bind({});
TrackingOrderCanClick.args = {
  theme: {
    "primary": "#95BAA8",
    "backgroundColor": "#eeeeee",
    "fontColor": "#2A2C2D"
  },
  isCanClick: true,
}

export const TrackingOrderCanNotClick = Template.bind({});
TrackingOrderCanNotClick.args = {
  theme: {
    "primary": "#95BAA8",
    "backgroundColor": "#eeeeee",
    "fontColor": "#2A2C2D"
  },
  isCanClick: false,
}
