import React from 'react';
import CardSalePageWidget from '../components/CardSalePageWidget';

export default {
  title: 'page-ui/CardSalePageWidget',
  component: CardSalePageWidget,
};

const Template = (args) => <CardSalePageWidget  {...args} />;
const mockCardSalePageWidget = [
  {
    targetType: "newTab",
    image: "https://thumb.izcene.com/oll/0x0/format:webp/photo:image/1cfab49c-c93b-44b2-acbd-5c5c861bfea4.jpg",
    domainName: "https://pages.mcneto.com/mcneto/home",
    title: "New collection ของ Ms Poony ครีมทาหน้า สำหรับผู้หญิง จัดโปรเต็ม ลดสุดๆถึงสิ้นปีนี้เท่า",
    description: "พลาดไม่ได้กับ เสื้อมินิมอลที่สวยที่สุดในนาทีนี้! อย่าช้า รีบคลิกเลย",
  },
  {
    targetType: "newTab",
    image: "https://thumb.izcene.com/oll/0x0/format:webp/photo:image/1cfab49c-c93b-44b2-acbd-5c5c861bfea4.jpg",
    // domainName: "https://pages.mcneto.com/mcneto/home",
    title: "New collection ของ Ms Poony ครีมทาหน้า สำหรับผู้หญิง จัดโปรเต็ม ลดสุดๆถึงสิ้นปีนี้เท่า",
    description: "พลาดไม่ได้กับ เสื้อมินิมอลที่สวยที่สุดในนาทีนี้! อย่าช้า รีบคลิกเลย",
  },
  {
    targetType: "newTab",
    image: "https://thumb.izcene.com/oll/0x0/format:webp/photo:image/1cfab49c-c93b-44b2-acbd-5c5c861bfea4.jpg",
    domainName: "https://pages.mcneto.com/mcneto/home",
    // title: "New collection ของ Ms Poony ครีมทาหน้า สำหรับผู้หญิง จัดโปรเต็ม ลดสุดๆถึงสิ้นปีนี้เท่า",
    description: "พลาดไม่ได้กับ เสื้อมินิมอลที่สวยที่สุดในนาทีนี้! อย่าช้า รีบคลิกเลย",
  },
  {
    targetType: "newTab",
    image: "https://thumb.izcene.com/oll/0x0/format:webp/photo:image/c6234a9bc464e4b6c5bce6ab069cb1c3.png",
    domainName: "https://pages.mcneto.com/mcneto/home",
    title: "New collection ของ Ms Poony ครีมทาหน้า สำหรับผู้หญิง จัดโปรเต็ม ลดสุดๆถึงสิ้นปีนี้เท่า",
    // description: "พลาดไม่ได้กับ เสื้อมินิมอลที่สวยที่สุดในนาทีนี้! อย่าช้า รีบคลิกเลย",
  },
  {
    targetType: "newTab",
    image: "https://thumb.izcene.com/oll/0x0/format:webp/photo:image/262e4dac-d3e7-4a52-bbda-4c746b064ff2.jpg",
    domainName: "https://pages.mcneto.com/mcneto/home",
    title: "New collection ของ Ms Poony ครีมทาหน้า สำหรับผู้หญิง จัดโปรเต็ม ลดสุดๆถึงสิ้นปีนี้เท่า",
    // description: "พลาดไม่ได้กับ เสื้อมินิมอลที่สวยที่สุดในนาทีนี้! อย่าช้า รีบคลิกเลย",
  },
  {
    targetType: "newTab",
    image: "https://dummyimage.com/285x200/0/000&text=Image 285x200",
    domainName: "https://pages.mcneto.com/mcneto/home",
    title: "New collection ของ Ms Poony ครีมทาหน้า สำหรับผู้หญิง จัดโปรเต็ม ลดสุดๆถึงสิ้นปีนี้เท่า",
    // description: "พลาดไม่ได้กับ เสื้อมินิมอลที่สวยที่สุดในนาทีนี้! อย่าช้า รีบคลิกเลย",
  },
  {
    targetType: "newTab",
    image: null,
    domainName: "https://pages.mcneto.com/mcneto/home",
    title: "New collection ของ Ms Poony ครีมทาหน้า สำหรับผู้หญิง จัดโปรเต็ม ลดสุดๆถึงสิ้นปีนี้เท่า",
    description: "พลาดไม่ได้กับ เสื้อมินิมอลที่สวยที่สุดในนาทีนี้! อย่าช้า รีบคลิกเลย",
  },
  {
    targetType: "newTab",
    image: "https://thumb.izcene.com/oll/0x0/format:webp/photo:image/1cfab49c-c93b-44b2-acbd-5c5c861bfea4.jpg",
    domainName: null,
    // domainName: "https://pages.mcneto.com/mcneto/home",
    title: "New collection ของ Ms Poony ครีมทาหน้า สำหรับผู้หญิง จัดโปรเต็ม ลดสุดๆถึงสิ้นปีนี้เท่า",
    description: "พลาดไม่ได้กับ เสื้อมินิมอลที่สวยที่สุดในนาทีนี้! อย่าช้า รีบคลิกเลย",
  },
  {
    targetType: "newTab",
    image: "https://thumb.izcene.com/oll/0x0/format:webp/photo:image/1cfab49c-c93b-44b2-acbd-5c5c861bfea4.jpg",
    domainName: "https://pages.mcneto.com/mcneto/home",
    title: null,
    // title: "New collection ของ Ms Poony ครีมทาหน้า สำหรับผู้หญิง จัดโปรเต็ม ลดสุดๆถึงสิ้นปีนี้เท่า",
    description: "พลาดไม่ได้กับ เสื้อมินิมอลที่สวยที่สุดในนาทีนี้! อย่าช้า รีบคลิกเลย",
  },
  {
    targetType: null,
    image: "https://thumb.izcene.com/oll/0x0/format:webp/photo:image/1cfab49c-c93b-44b2-acbd-5c5c861bfea4.jpg",
    domainName: "https://pages.mcneto.com/mcneto/home",
    title: "New collection ของ Ms Poony ครีมทาหน้า สำหรับผู้หญิง จัดโปรเต็ม ลดสุดๆถึงสิ้นปีนี้เท่า",
    description: null,
    // description: "พลาดไม่ได้กับ เสื้อมินิมอลที่สวยที่สุดในนาทีนี้! อย่าช้า รีบคลิกเลย",
  },
]

const theme = {
  primary: '#1DCAB4',
  fontColor: '#2A2C2D',
}

export const CardSalePageWidgetDefault = Template.bind({});
CardSalePageWidgetDefault.args = {
  data: mockCardSalePageWidget,
  marginBottom: 0,
  marginLeft: 0,
  marginRight: 0,
  theme: theme,
}

export const CardSalePageWidgetOneColumnDefault = Template.bind({});
CardSalePageWidgetOneColumnDefault.args = {
  data: mockCardSalePageWidget,
  marginBottom: 0,
  marginLeft: 0,
  marginRight: 0,
  isOneColumn: true,
  theme: theme,
}
