import React from "react";
import FlashSale from "../components/FlashSale";
import {
  mockFalshSaleFake,
  mockFalshSaleEndDate,
} from "../../__MOCK__/mockFlashSale";

export default {
  title: "page-ui/FlashSale",
  component: FlashSale,
};

const Template = (args) => <FlashSale {...args} />


export const Default = Template.bind({});
Default.args = {
  data: mockFalshSaleEndDate,
  marginBottom: 0,
  marginLeft: 0,
  marginRight: 0,
  columnLength: 0
};

export const FakeTime = Template.bind({});
FakeTime.args = {
  data: mockFalshSaleFake,
  marginBottom: 10,
  marginLeft: 0,
  marginRight: 0,
  columnLength: 0
};

