import React from "react";
import { Register } from "../components";

export default {
  title: "page-ui/Register",
  component: Register,
};

const headerTitle = "ลงทะเบียนค่ะ";
const registerList = [
  {
    key: "name",
    label: "Full Name",
    data_type: "sting",
    input_type: "text",
  },
  {
    key: "mobile",
    label: "Mobile Number",
    data_type: "sting",
    input_type: "radio",
  },
  {
    key: "email",
    label: "email",
    data_type: "sting",
    input_type: "email",
  },
  {
    key: "birthday",
    label: "Birthday",
    data_type: "sting",
    input_type: "calendar",
  },
];

const Template = (args) => <Register {...args} />;

export const Default = Template.bind({});
Default.args = {
  handleChange: () => {},
  registerList: registerList,
  headerTitle: headerTitle,
  theme: { primary: "#26D496", fontColor: 'green' },
};
