import React from 'react';
import {Slide} from '../components';
import '../static/fontello/css/fontello.css';
import 'react-multi-carousel/lib/styles.css';
import { mockSlide } from '../../__MOCK__/mockSlide'
import { mockTheme } from '../defaultTheme/index'

export default {
  title: 'page-ui/Slide',
  component: Slide
};

const Template = (args) => <Slide {...args} />;

export const Default = Template.bind({});
Default.args = {
  data: mockSlide,
  amountItem: 1,
  marginBottom: 0,
  autoPlay: true,
  theme: mockTheme,
  marginLeft: 0,
  marginRight: 0
};

export const MultiItem = Template.bind({});
MultiItem.args = {
  data: mockSlide,
  amountItem: 2,
  marginBottom: 0,
  autoPlay: false,
  theme: mockTheme,
  marginLeft: 0,
  marginRight: 0
};
