import TitleText from '../components/TitleText/TitleText';
import React from 'react';
import { mockTheme } from '../defaultTheme';

export default {
  title: 'page-ui/TitleText',
  component: TitleText,
};

const Template = (args) => <TitleText  {...args} />;

export const TitleTextDefault = Template.bind({});
TitleTextDefault.args = {
  children: 'title text custom',
}

export const TitleTextCustomWeb = Template.bind({});
TitleTextCustomWeb.args = {
  children: 'title text custom',
  tagColor: mockTheme.primary,
  color: mockTheme.primary,
  fontSize: '2rem',
  fontWeight: 'bold',
  textTransform: 'uppercase',
  marginBottom: 0,

}
